<div class="container">
  <mat-toolbar>
      <span>SISTEMA DE BIBLIOTECA-</span><div style="font-size: 15px">USUARIOS</div> 
      <div class="example-spacer"></div>
      <button mat-raised-button color="primary" routerLink="/dashboard/crear-usuario">Agregar</button>
  </mat-toolbar>
  Sube archivo Excel: <input type="file" (change)="ReadExcel($event)">
   <!-- Especificamos que se note la tabla si es mayor a 0 si no que no se vea -->
  <div *ngIf="listUsuarios.length > 0">
    <div class="Tablas"> 
         <!-- Libreria de angula para buscar -->
        <mat-form-field>
            <mat-label>Buscador</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Buscar usuario" #input>
        </mat-form-field>
        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" class="mat-elevation-z21">
              <!-- Columna de nombre -->
              <ng-container matColumnDef="nombre">
                <th mat-cell *matHeaderCellDef > Nombre </th>
                <td mat-cell *matCellDef="let element"> {{element.nombre}}</td>
              </ng-container>
            
              <!-- Columna de apellido -->
              <ng-container matColumnDef="apellido">
                <th mat-cell *matHeaderCellDef> Apellido </th>
                <td mat-cell *matCellDef="let element"> {{element.apellido}} </td>
              </ng-container>
            
              <!-- Columna de telefonos -->
              <ng-container matColumnDef="telefono">
                <th mat-cell *matHeaderCellDef> Telefono </th>
                <td mat-cell *matCellDef="let element"> +593{{element.telefono}} </td>
              </ng-container>
            
              <!-- Columna de correos -->
              <ng-container matColumnDef="correo">
                <th mat-cell *matHeaderCellDef> Correo </th>
                <td mat-cell *matCellDef="let element"> {{element.correo}} </td>
              </ng-container>

              <!-- Columna de Roles-->
              <ng-container matColumnDef="rol">
                  <th mat-cell *matHeaderCellDef> Rol</th>
                  <td mat-cell *matCellDef="let element"> {{element.rol}} </td>
                </ng-container>
              
              <!-- Columna de logo eliminar, editar y buscar -->
              <ng-container matColumnDef="acciones">
                  <th mat-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let i = index" style="text-align:right;">
                      <a class="pointer" style="color: green;" matTooltip="Editar"><mat-icon>edit</mat-icon></a>
                      <a class="pointer" (click)="eliminarUsuario(i)" style="color:red ;" matTooltip="Eliminar"><mat-icon>delete</mat-icon></a>
                  </td>
              </ng-container>
               <!-- Libreria de angular que da colmuna ordena -->
              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>
    </div>
  </div>
  <h1>Guardados por Excel</h1>
  <table>
    <thead class="tabl">
      <tr >
        <th class="mostrar">
          Nombre
        </th>
        <th class="mostrar">
          Apellido
        </th>
        <th class="mostrar">
          Telefono
        </th>
        <th class="mostrar">
          Correo
        </th>
        <th class="mostrar">
          Rol
        </th>
      </tr>
    </thead>
    <thead class="tabl">
      <tr *ngFor="let data of ExcelData">
        <td class="mostrar">
          {{data.nombre}}
        </td>
        <td class="mostrar">
          {{data.apellido}}
        </td>
        <td class="mostrar">
          +593{{data.telefono}}
        </td>
        <td class="mostrar">
          {{data.correo}}
        </td>
        <td class="mostrar">
          {{data.rol}}
        </td>
      </tr>
    </thead>
  </table>
   <!-- Si la comluna esta vacia mostrar -->
  <h2 *ngIf="listUsuarios.length == 0">No hay registro para mostrar en tabla</h2>
</div>


